commit: d991fbe79332e12a01e9f461122e3781610f50d1
Author: Aisha Tammy <gentoo <AT> aisha <DOT> cc>
AuthorDate: Thu Oct 22 04:14:06 2020 +0000
Commit: Aisha Tammy <gentoo <AT> aisha <DOT> cc>
CommitDate: Thu Oct 22 11:01:58 2020 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=d991fbe7
sci-mathematics/gap-core: fix metadata
don't install tests
Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Aisha Tammy <gentoo <AT> aisha.cc>
sci-mathematics/gap-core/gap-core-4.11.0.ebuild | 8 ++++----
sci-mathematics/gap-core/metadata.xml | 22 +++++++++++-----------
2 files changed, 15 insertions(+), 15 deletions(-)
diff --git a/sci-mathematics/gap-core/gap-core-4.11.0.ebuild
b/sci-mathematics/gap-core/gap-core-4.11.0.ebuild
index c4610cb98..35043f58e 100644
--- a/sci-mathematics/gap-core/gap-core-4.11.0.ebuild
+++ b/sci-mathematics/gap-core/gap-core-4.11.0.ebuild
@@ -6,7 +6,7 @@ EAPI=7
PYTHON_COMPAT=( python3_{7..9} )
inherit autotools python-any-r1
-DESCRIPTION="System for computational discrete algebra"
+DESCRIPTION="Computational discrete algebra system - Core system of GAP"
HOMEPAGE="https://www.gap-system.org/"
SRC_URI="https://github.com/gap-system/gap/releases/download/v${PV}/gap-${PV}-core.tar.bz2
-> ${P}.tar.bz2
https://github.com/gap-system/gap/releases/download/v${PV}/packages-required-v${PV}.tar.gz
-> ${P}-packages.tar.gz
@@ -16,7 +16,7 @@ S="${WORKDIR}"/gap-${PV}
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="~amd64"
-# broken HPC
+# broken HPC and boehm
IUSE="-boehm debug -hpc julia julia-gc memcheck valgrind"
REQUIRED_USE="valgrind? ( memcheck ) julia-gc? ( julia ) hpc? ( boehm )"
@@ -114,7 +114,7 @@ src_install() {
doexe gap
cat <<-EOF > gap.sh || die
- \#!/bin/sh
+ #!/bin/sh
exec "${EPREFIX}"/usr/share/gap/gap -l "${EPREFIX}"/usr/share/gap "\$@"
EOF
newbin gap.sh gap
@@ -128,7 +128,7 @@ src_install() {
cp -a src/hpc/*.h "${ED}"/usr/include/gap/hpc || die
fi
- cp -a doc grp lib tst libtool "${ED}"/usr/share/gap || die
+ cp -a doc grp lib libtool "${ED}"/usr/share/gap || die
sed -e "s:${S}:${EPREFIX}/usr/share/gap:g" -i sysinfo.gap
insinto /usr/share/gap
diff --git a/sci-mathematics/gap-core/metadata.xml
b/sci-mathematics/gap-core/metadata.xml
index a59ef9895..f1f953b82 100644
--- a/sci-mathematics/gap-core/metadata.xml
+++ b/sci-mathematics/gap-core/metadata.xml
@@ -2,23 +2,23 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>[email protected]</email>
- <name>Andrey Grozin</name>
+ <email>[email protected]</email>
+ <name>Aisha Tammy</name>
</maintainer>
<maintainer type="project">
<email>[email protected]</email>
<name>Gentoo Mathematics Project</name>
</maintainer>
<longdescription lang="en">
-Groups, Algorithms, Programming is a system for computational
-discrete algebra, with particular emphasis on Computational Group
-Theory. GAP provides a programming language, a library of thousands
-of functions implementing algebraic algorithms written in the GAP
-language as well as large data libraries of algebraic objects. GAP
-is used in research and teaching for studying groups and their
-representations, rings, vector spaces, algebras, combinatorial
-structures, and more.
-</longdescription>
+ Groups, Algorithms, Programming is a system for computational
+ discrete algebra, with particular emphasis on Computational
Group
+ Theory. GAP provides a programming language, a library of
thousands
+ of functions implementing algebraic algorithms written in the
GAP
+ language as well as large data libraries of algebraic objects.
GAP
+ is used in research and teaching for studying groups and their
+ representations, rings, vector spaces, algebras, combinatorial
+ structures, and more.
+ </longdescription>
<use>
<flag name="boehm">Use <pkg>dev-libs/boehm-gc</pkg> as garbage
collector</flag>
<flag name="hpc">Build gap with multithreading and parallel
process support</flag>